import Input from "./Input";
import { useState } from "react";
export default {
  title: "Components/Base/Input",
  component: Input,
  tags: ["autodocs"],
  argTypes: {
    onEnter: { action: "Entered Value:: " },
  },
};

export const Default = (args: any) => {
  const [value, setValue] = useState("");
  return (
    <Input
      {...args}
      value={value}
      placeholder="Discover news, articles and more..."
      onChange={(e) => setValue(e.target.value)}
      onClear={() => setValue("")}
    />
  );
};
