import BlogDetail from "./BlogDetail";

export default {
  title: "Components/TopLevel/BlogDetail",
  component: BlogDetail,
};

export const Default = {
  args: {
    title:
      "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Maecenas eget venenatis leo. Donec mattis tortor in nisl lacinia, ",
    postedOn: "july 11, 2020",
    postedBy: "Charlotte Maria",
    readTime: "1",
    tag: "fashion",
    img: "https://picsum.photos/1000/300",
    content: [
      {
        type: "heading",
        children: [
          {
            type: "text",
            text: "Lorem ipsum dolor sit amet: ",
          },
        ],
        level: 1,
      },
      {
        type: "paragraph",
        children: [
          {
            type: "text",
            text: "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus efficitur posuere sodales. Ut et lectus volutpat",
          },
        ],
      },
      {
        type: "list",
        format: "unordered",
        children: [
          {
            type: "list-item",
            children: [
              {
                type: "text",
                text: "Lorem ipsum dolor sit amet, consectetur adipiscing elit. ",
              },
            ],
          },
          {
            type: "list-item",
            children: [
              {
                type: "text",
                text: "Lorem ipsum dolor sit amet.",
              },
            ],
          },
          {
            type: "list-item",
            children: [
              {
                type: "text",
                text: "Lorem ipsum dolor sit amet.",
              },
            ],
          },
          {
            type: "list-item",
            children: [
              {
                type: "text",
                text: "Lorem ipsum dolor sit amet.",
              },
            ],
          },
        ],
      },
      {
        type: "paragraph",
        children: [
          {
            type: "text",
            text: "",
          },
        ],
      },
      {
        type: "paragraph",
        children: [
          {
            text: "Lorem ipsum dolor sit amet.",
            type: "text",
            bold: true,
          },
        ],
      },
      {
        type: "heading",
        children: [
          {
            type: "text",
            text: "Lorem ipsum dolor sit amet.",
          },
        ],
        level: 3,
      },
    ],
  },
};
